#!/bin/bash

URL='http://dl.acm.org/results.cfm?query=%2A&filtered=&within=owners%2Eowner%3DGUIDE&dte=&bfr=&srt=publicationDate'
page='&start='

downloadPage () {
	echo "page $1 ..."
	wget -q -nv -O "folder/acm$1" -U firefox -r -np "$URL$page$1"
	sleep $[ ( $RANDOM % 3 )  + 1 ]
	filesize=`cat "folder/acm$1" | wc -c`
	if [[ filesize -lt 7000 ]]; then
		rm "folder/acm$1"
		sleep 3
		downloadPage $1
	fi
}

rm -R folder/*
mkdir folder

wget -q -nv -O folder/acm01 -U firefox -r -np $URL

domainSize=`cat folder/acm01 | grep '<div id="resfound">' | grep -o -P '(?<=<strong>).*(?=</strong> )' | sed 's/,//g'`
echo "Domain Size = $domainSize"

for ((i=21;i<=$domainSize;i=i+20))
do
	downloadPage $i
done
